﻿using System;
using System.Net;
using System.Windows;

namespace ELTE.Net.BallGame.Client.View
{
    /// <summary>
    /// Szercser csatalkozási ablak típusa.
    /// </summary>
    public partial class ConnectionWindow : Window
    {
        /// <summary>
        /// Szerver címének lekérdezése.
        /// </summary>
        public IPAddress ServerAddress { get { return IPAddress.Parse(_TextBoxServerAddress.Text); } }
        /// <summary>
        /// Játékos nevének lekrédezése.
        /// </summary>
        public String PlayerName { get; private set; }

        public ConnectionWindow()
        {
            InitializeComponent();
            _TextBoxServerAddress.Text = "192.168.1.242";
            _TextBoxPlayerName.Text = "Anonymus";
        }

        private void ButtonOk_Click(object sender, RoutedEventArgs e)
        {
            IPAddress address;
            if (IPAddress.TryParse(_TextBoxServerAddress.Text, out address))
            {
                PlayerName = _TextBoxPlayerName.Text;
                DialogResult = true;
                Close();
            }
            else
            {
                MessageBox.Show("A cím formátuma nem megfelelő!", "Hiba", MessageBoxButton.OK, MessageBoxImage.Error);
            }
        }

        private void ButtonCancel_Click(object sender, RoutedEventArgs e)
        {
            DialogResult = false;
            Close();
        }
    }
}
