﻿using System;
using System.Collections;
using System.Collections.Generic;
using System.ComponentModel;
using System.Configuration.Install;
using System.Linq;


namespace ELTE.Net.GameServer.Service
{
    /// <summary>
    /// Szerver telepítő típusa.
    /// </summary>
    [RunInstaller(true)]
    public partial class GameServerInstaller : System.Configuration.Install.Installer
    {
        private System.ServiceProcess.ServiceProcessInstaller _ServiceProcessInstaller; // szolgáltatás folyamat telepítő
        private System.ServiceProcess.ServiceInstaller _ServiceInstaller; // szolgáltatás telepítő

        /// <summary>
        /// Szerver telepítő példányosítása.
        /// </summary>
        public GameServerInstaller()
        {
            InitializeComponent();

            _ServiceProcessInstaller = new System.ServiceProcess.ServiceProcessInstaller();
            _ServiceInstaller = new System.ServiceProcess.ServiceInstaller();

            // szolgáltatási folyamat telepítő konfigurálása
            _ServiceProcessInstaller.Account = System.ServiceProcess.ServiceAccount.LocalService;  // felhasználói fiók
            _ServiceProcessInstaller.Password = null;
            _ServiceProcessInstaller.Username = null;

            // szolgáltatás telepítő konfigurálása
            _ServiceInstaller.Description = "GameServerService"; // elnevezések
            _ServiceInstaller.ServiceName = "GameServer";
            _ServiceInstaller.StartType = System.ServiceProcess.ServiceStartMode.Automatic; // automatikusan indul

            Installers.AddRange(new System.Configuration.Install.Installer[] { _ServiceProcessInstaller, _ServiceInstaller });
            // telepítők felvétele
        }
    }
}
