﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.Serialization;
using System.ServiceModel;
using System.Text;

namespace WCFSample.Service
{
    /// <summary>
    /// A szolgáltatás implementációja.
    /// </summary>
    [ServiceBehavior(InstanceContextMode=InstanceContextMode.Single)]
    public class SampleService : ISampleService
    {
        /// <summary>
        /// A tárolt elemek.
        /// </summary>
        private readonly List<Item> _items = new List<Item>();

        /// <summary>
        /// Új elem felvétele.
        /// </summary>
        /// <param name="item">Az új elem.</param>
        public void AddItem(Item item)
        {
            LogEvent("Elem felévtele.");
            _items.Add(item);
        }

        /// <summary>
        /// Elemek lekérdezése.
        /// </summary>
        /// <returns></returns>
        public Item[] GetItems()
        {
            LogEvent("Elemek lekérdezése.");
            return _items.ToArray();
        }

        /// <summary>
        /// Esemény naplózása.
        /// </summary>
        /// <param name="message">Üzenet.</param>
        private void LogEvent(String message)
        {
            Console.WriteLine(String.Format("[{1}]  {0}", message, DateTime.Now.ToLongTimeString()));
        }
    }
}
