﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.ServiceModel;
using System.Text;
using WCFSample.Client.SampleServiceReference;

namespace WCFSample.Client
{
    /// <summary>
    /// Új elem felvételének eseménykezelője.
    /// </summary>
    /// <param name="sender">Küldő.</param>
    /// <param name="item">Az újonnan felvett elem.</param>
    delegate void ItemAdeddEventHandler(Object sender, Item item);

    /// <summary>
    /// A callback hívások implementációja.
    /// </summary>
    [CallbackBehavior(UseSynchronizationContext = false)]
    class SampleServiceCallback : ISampleServiceCallback
    {
        /// <summary>
        /// Új elem felvételének eseménye.
        /// </summary>
        public event ItemAdeddEventHandler ItemAdded;

        /// <summary>
        /// Értesítés új elem felvételéről.
        /// </summary>
        /// <param name="item">Az új elem.</param>
        public void OnItemAdded(Item item)
        {
            if (ItemAdded != null)
                ItemAdded(this, item);
        }
    }
}
