﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.Serialization;
using System.ServiceModel;
using System.Text;

namespace WCFSample.Service
{
    /// <summary>
    /// Interfész a szolgáltatáshoz.
    /// </summary>
    [ServiceContract(CallbackContract = typeof(ISampleCallback))]
    public interface ISampleService
    {
        /// <summary>
        /// Új elem felvétele.
        /// </summary>
        /// <param name="item">Az új elem.</param>
        [OperationContract]
        void AddItem(Item item);

        /// <summary>
        /// Elemek lekérdezése.
        /// </summary>
        /// <returns>A tárolt elemek.</returns>
        [OperationContract]
        Item[] GetItems();

        /// <summary>
        /// Feliratkozás az eseményekről való értesítésekre.
        /// </summary>
        [OperationContract]
        void Subscribe();

        /// <summary>
        /// Leiratkozás az eseményekről való értesítésekről.
        /// </summary>
        [OperationContract]
        void Unsubscribe();
    }
}
